#!C:\Programme\Python25\python.exe
# -*- coding: UTF-8 -*-

'''
$RCSfile: main.py,v $
$Revision: 1351 $
$Author: markus $
$Date: 2014-03-28 22:28:14 +0100 (Fr, 28. Mär 2014) $
The BioCASE querytool
'''

import os

execfile(os.path.abspath(os.path.join(os.path.dirname(__file__), os.pardir, os.pardir, 'lib', 'biocase', 'adjustpath.py')))
execfile(os.path.abspath(os.path.join(os.path.dirname(__file__), os.pardir, os.pardir, 'lib', 'biocase', 'appinit.py')))

from biocase.configtool.general import *
from biocase.datasources import getDsaList
from biocase.tools.update import update_hint


############################################################################################################
#
#   MAIN
#
#===========================================================================================================


# use the main.html template to select a datasource first
tmpl = PageMacro('Content', PageMacro.DELMODE)
tmpl.load('Content', os.path.join(templateDir, '_main.html'))
# get list of available dsa's
DsaList = getDsaList()
log.debug("DSA list from datasource directory: %s" % str(DsaList))

# fill template
DsaTmplList = [{'dsa':dsa.name} for dsa in DsaList]
tmpl.expand('Content', 'datasourcelist', DsaTmplList)
tmpl['update_hint'] = update_hint()


#
# print HTML !
#
printOverHTTP(tmpl)
